=== debian/changelog ===
cpp-hocon (0.1.6-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Fix versioned build-dependency constraints

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 31 Mar 2018 21:25:50 +0200

cpp-hocon (0.1.6-1) unstable; urgency=medium

  * Initial release (Closes: #891528)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 24 Feb 2018 23:44:54 +0200
