=== debian/changelog ===
cpp-hocon (0.1.7-1build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:10:53 +0000

cpp-hocon (0.1.7-1) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * Fix versioned build-dependency constraints

  [ Apollon Oikonomopoulos ]
  * New upstream release
    + Bump libcpp-hocon ABI version
  * Fix FTBFS with GCC 8 (Closes: #897729)
  * Bump Standards-Version to 4.2.0; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 23 Aug 2018 10:18:34 +0300
