=== locales/CMakeLists.txt ===
gettext_templates(${CMAKE_CURRENT_SOURCE_DIR} ${ALL_SOURCES})
gettext_compile(${CMAKE_CURRENT_SOURCE_DIR} share/locale)
SET_DIRECTORY_PROPERTIES(PROPERTIES CLEAN_NO_CUSTOM TRUE)
export_var(GETTEXT_ENABLED)
