=== debian/changelog ===
cpp-hocon (0.3.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable -Werror. (Closes: #1096468)
  * Drop obsolete setting of -Wl,--as-needed (now default).

 -- Adrian Bunk <bunk@debian.org>  Sun, 21 Sep 2025 13:40:42 +0300

cpp-hocon (0.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061905

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:36:41 +0000

cpp-hocon (0.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #970379)
    + Bump SONAME to 0.3.0
    - Drop fix-gcc-8-ftbfs.patch; changes included upstream
  * Bump Standards-Version to 4.5.0; no changes needed
  * Bump dh compat to 13
    - Drop the redundant override of dh_missing, as --fail-missing is on by
      default
  * d/copyright: bump debian/ years

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 25 Aug 2020 13:48:42 +0300
