=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: cpp-hocon
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
+Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
  cmake,
  libleatherman-dev,
  libboost-program-options-dev,
  catch (>= 1.10~),
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/puppetlabs/cpp-hocon
 Vcs-Git: https://salsa.debian.org/puppet-team/cpp-hocon.git
@@ -18,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcpp-hocon0.1.7 (= ${binary:Version}), ${misc:Depends}
+Depends: libcpp-hocon0.3.0t64 (= ${binary:Version}), ${misc:Depends}
 Description: C++ port of the TypesafeConfig library -- development files
  cpp-hocon is a port of the TypsafeConfig library to C++. It provides support
  for the HOCON configuration file format. HOCON aims to keep the semantics
@@ -27,7 +26,10 @@
  .
  This package contains cpp-hocon's development headers.
 
-Package: libcpp-hocon0.1.7
+Package: libcpp-hocon0.3.0t64
+Provides: ${t64:Provides}
+Replaces: libcpp-hocon0.3.0
+Breaks: libcpp-hocon0.3.0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
