=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,7 @@
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_CXXFLAGS_MAINT_PREPEND = -Wno-error
 
 %:
 	dh $@
-
-override_dh_missing:
-	dh_missing --fail-missing
