=== debian/watch ===
version=3
https://github.com/puppetlabs/cpp-hocon/releases .*/([\d.]+)/cpp-hocon.tar.gz
